MMIME(1)

NAME
mmime - create MIME messages

SYNOPSIS
mmime [-c | -r] [-t content-type] < message

DESCRIPTION
mmime generates a ‘multipart/mixed’ message from the standard input, extending, wrapping, and encoding the header as necessary, and replacing lines in the message body of the form

    #content/type[#content-disposition] path[>filename]

with a MIME part having Content-Type content/type, consisting of the contents of the file found at path. content-disposition is optional and defaults to ‘attachment’. filename is optional and defaults to the basename of path.

The options are as follows:

-c  Check mode: don't output anything, exit with status 1 if MIME-encoding the message is required, or else exit with status 0.

-r  Raw mode: don't expand MIME parts in the body, generate a ‘text/plain’ message.

-t content-type
    Override Content-Type for the toplevel part. Defaults to ‘multipart/mixed’.

EXIT STATUS

SEE ALSO
makemime(1), mhbuild(1) N. Freed, N. Borenstein, November 1996, RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. N. Freed, N. Borenstein, November 1996, RFC 2046, Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types. K. Moore, November 1996, RFC 2047, MIME (Multipurpose Internet Mail Extensions) Part Three: Message Header Extensions for Non-ASCII Text. N. Freed, K. Moore, November 1997, RFC 2231, MIME Parameter Value and Encoded Word Extensions: Character Sets, Languages, and Continuations. P. Resnick (ed.), October 2008, RFC 5322, Internet Message Format.

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mmime is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/